Index: /trunk/LMDZ.TITAN/libf/phytitan/radii_mod.F90
===================================================================
--- /trunk/LMDZ.TITAN/libf/phytitan/radii_mod.F90	(revision 1646)
+++ /trunk/LMDZ.TITAN/libf/phytitan/radii_mod.F90	(revision 1647)
@@ -3,21 +3,8 @@
 !==================================================================
 !  module to centralize the radii calculations for aerosols
-! OK for water but should be extended to other aerosols (CO2,...)
 !==================================================================
       
-!     water cloud optical properties
-
-      use callkeys_mod, only: radfixed,Nmix_co2,                    &
-                pres_bottom_tropo,pres_top_tropo,size_tropo,        &
-                pres_bottom_strato,size_strato
-      
-      real, save ::  rad_h2o
-      real, save ::  rad_h2o_ice
-      real, save ::  Nmix_h2o
-      real, save ::  Nmix_h2o_ice
-!$OMP THREADPRIVATE(rad_h2o,rad_h2o_ice,Nmix_h2o,Nmix_h2o_ice)
-      real, parameter ::  coef_chaud=0.13
-      real, parameter ::  coef_froid=0.09
-
+      use callkeys_mod, only: pres_bottom_tropo,pres_top_tropo, &
+                size_tropo,pres_bottom_strato,size_strato
 
 contains
@@ -38,6 +25,5 @@
       use ioipsl_getin_p_mod, only: getin_p
       use radinc_h, only: naerkind
-      use aerosol_mod, only: iaero_back2lay, iaero_co2, iaero_dust, &
-                             iaero_h2o, iaero_h2so4
+      use aerosol_mod, only: iaero_back2lay
       Implicit none
 
@@ -59,21 +45,11 @@
 !     .def file. To be improved!
 
-            if(iaer.eq.iaero_co2)then ! CO2 ice
+
+!     WARNING : Titan adapt. (J. Vatant d'Ollone, 2017)
+!            - ONLY THE NO AEROSOL CASE FOR NOW SINCE WE COMPUTE THEM ANOTHER WAY !
+!            - This routine is just here to keep the code running without unplugging all (yet)
+!            - There's only the dummy aerosol case on iaer = 1      
+            if(iaer.eq.1)then
                reffrad(1:ngrid,1:nlayer,iaer) = 1.e-4
-               nueffrad(1:ngrid,1:nlayer,iaer) = 0.1 
-            endif
-
-            if(iaer.eq.iaero_h2o)then ! H2O ice
-               reffrad(1:ngrid,1:nlayer,iaer) = 1.e-5
-               nueffrad(1:ngrid,1:nlayer,iaer) = 0.1 
-            endif
-
-            if(iaer.eq.iaero_dust)then ! dust
-               reffrad(1:ngrid,1:nlayer,iaer) = 1.e-5
-               nueffrad(1:ngrid,1:nlayer,iaer) = 0.1 
-            endif
- 
-            if(iaer.eq.iaero_h2so4)then ! H2O ice
-               reffrad(1:ngrid,1:nlayer,iaer) = 1.e-6
                nueffrad(1:ngrid,1:nlayer,iaer) = 0.1 
             endif
@@ -83,6 +59,4 @@
                nueffrad(1:ngrid,1:nlayer,iaer) = 0.1 
             endif
-
-
 
             if(iaer.gt.5)then
@@ -95,30 +69,4 @@
          enddo
 
-
-         if (radfixed) then
-
-            write(*,*)"radius of H2O water particles:"
-            rad_h2o=13. ! default value
-            call getin_p("rad_h2o",rad_h2o)
-            write(*,*)" rad_h2o = ",rad_h2o
-
-            write(*,*)"radius of H2O ice particles:"
-            rad_h2o_ice=35. ! default value
-            call getin_p("rad_h2o_ice",rad_h2o_ice)
-            write(*,*)" rad_h2o_ice = ",rad_h2o_ice
-
-         else
-
-            write(*,*)"Number mixing ratio of H2O water particles:"
-            Nmix_h2o=1.e6 ! default value
-            call getin_p("Nmix_h2o",Nmix_h2o)
-            write(*,*)" Nmix_h2o = ",Nmix_h2o
-
-            write(*,*)"Number mixing ratio of H2O ice particles:"
-            Nmix_h2o_ice=Nmix_h2o ! default value
-            call getin_p("Nmix_h2o_ice",Nmix_h2o_ice)
-            write(*,*)" Nmix_h2o_ice = ",Nmix_h2o_ice
-         endif
-
       print*,'exit su_aer_radii'
 
@@ -126,198 +74,4 @@
 !==================================================================
 
-
-!==================================================================
-   subroutine h2o_reffrad(ngrid,nlayer,pq,pt,reffrad,nueffrad)
-!==================================================================
-!     Purpose
-!     -------
-!     Compute the effective radii of liquid and icy water particles
-!
-!     Authors
-!     -------
-!     Jeremy Leconte (2012)
-!
-!==================================================================
-      use watercommon_h, Only: T_h2O_ice_liq,T_h2O_ice_clouds,rhowater,rhowaterice
-      use comcstfi_mod, only: pi
-      Implicit none
-
-      integer,intent(in) :: ngrid
-      integer,intent(in) :: nlayer
-
-      real, intent(in) :: pq(ngrid,nlayer) !water ice mixing ratios (kg/kg)
-      real, intent(in) :: pt(ngrid,nlayer) !temperature (K)
-      real, intent(out) :: reffrad(ngrid,nlayer)      !aerosol radii
-      real, intent(out) :: nueffrad(ngrid,nlayer) ! dispersion      
-
-      integer :: ig,l
-      real zfice ,zrad,zrad_liq,zrad_ice
-      real,external :: CBRT            
-      
-
-      if (radfixed) then
-         do l=1,nlayer
-            do ig=1,ngrid
-               zfice = 1.0 - (pt(ig,l)-T_h2O_ice_clouds) / (T_h2O_ice_liq-T_h2O_ice_clouds)
-               zfice = MIN(MAX(zfice,0.0),1.0)
-               reffrad(ig,l)= rad_h2o * (1.-zfice) + rad_h2o_ice * zfice
-               nueffrad(ig,l) = coef_chaud * (1.-zfice) + coef_froid * zfice
-            enddo
-         enddo
-      else
-         do l=1,nlayer
-            do ig=1,ngrid
-               zfice = 1.0 - (pt(ig,l)-T_h2O_ice_clouds) / (T_h2O_ice_liq-T_h2O_ice_clouds)
-               zfice = MIN(MAX(zfice,0.0),1.0)
-               zrad_liq  = CBRT( 3*pq(ig,l)/(4*Nmix_h2o*pi*rhowater) )
-               zrad_ice  = CBRT( 3*pq(ig,l)/(4*Nmix_h2o_ice*pi*rhowaterice) )
-               nueffrad(ig,l) = coef_chaud * (1.-zfice) + coef_froid * zfice
-               zrad = zrad_liq * (1.-zfice) + zrad_ice * zfice
-
-               reffrad(ig,l) = min(max(zrad,1.e-6),1000.e-6)
-               enddo
-            enddo      
-      end if
-
-   end subroutine h2o_reffrad
-!==================================================================
-
-
-!==================================================================
-   subroutine h2o_cloudrad(ngrid,nlayer,pql,reffliq,reffice)
-!==================================================================
-!     Purpose
-!     -------
-!     Compute the effective radii of liquid and icy water particles
-!
-!     Authors
-!     -------
-!     Jeremy Leconte (2012)
-!
-!==================================================================
-      use watercommon_h, Only: rhowater,rhowaterice
-      use comcstfi_mod, only: pi
-      Implicit none
-
-      integer,intent(in) :: ngrid
-      integer,intent(in) :: nlayer
-
-      real, intent(in) :: pql(ngrid,nlayer) !condensed water mixing ratios (kg/kg)
-      real, intent(out) :: reffliq(ngrid,nlayer),reffice(ngrid,nlayer)     !liquid and ice water particle radii (m)
-
-      real,external :: CBRT            
-      integer :: i,k
-
-      if (radfixed) then
-         reffliq(1:ngrid,1:nlayer)= rad_h2o
-         reffice(1:ngrid,1:nlayer)= rad_h2o_ice
-      else
-         do k=1,nlayer
-           do i=1,ngrid
-             reffliq(i,k) = CBRT(3*pql(i,k)/(4*Nmix_h2o*pi*rhowater))
-             reffliq(i,k) = min(max(reffliq(i,k),1.e-6),1000.e-6)
-           
-             reffice(i,k) = CBRT(3*pql(i,k)/(4*Nmix_h2o_ice*pi*rhowaterice))
-             reffice(i,k) = min(max(reffice(i,k),1.e-6),1000.e-6)
-           enddo
-         enddo
-      endif
-
-   end subroutine h2o_cloudrad
-!==================================================================
-
-
-
-!==================================================================
-   subroutine co2_reffrad(ngrid,nlayer,nq,pq,reffrad)
-!==================================================================
-!     Purpose
-!     -------
-!     Compute the effective radii of co2 ice particles
-!
-!     Authors
-!     -------
-!     Jeremy Leconte (2012)
-!
-!==================================================================
-      USE tracer_h, only:igcm_co2_ice,rho_co2
-      use comcstfi_mod, only: pi
-      Implicit none
-
-      integer,intent(in) :: ngrid,nlayer,nq
-
-      real, intent(in) :: pq(ngrid,nlayer,nq) !tracer mixing ratios (kg/kg)
-      real, intent(out) :: reffrad(ngrid,nlayer)      !co2 ice particles radii (m)
-
-      integer :: ig,l
-      real :: zrad   
-      real,external :: CBRT            
-            
-      
-
-      if (radfixed) then
-         reffrad(1:ngrid,1:nlayer) = 5.e-5 ! CO2 ice
-      else
-         do l=1,nlayer
-            do ig=1,ngrid
-               zrad = CBRT( 3*pq(ig,l,igcm_co2_ice)/(4*Nmix_co2*pi*rho_co2) )
-               reffrad(ig,l) = min(max(zrad,1.e-6),100.e-6)
-            enddo
-         enddo      
-      end if
-
-   end subroutine co2_reffrad
-!==================================================================
-
-
-
-!==================================================================
-   subroutine dust_reffrad(ngrid,nlayer,reffrad)
-!==================================================================
-!     Purpose
-!     -------
-!     Compute the effective radii of dust particles
-!
-!     Authors
-!     -------
-!     Jeremy Leconte (2012)
-!
-!==================================================================
-      Implicit none
-
-      integer,intent(in) :: ngrid
-      integer,intent(in) :: nlayer
-
-      real, intent(out) :: reffrad(ngrid,nlayer)      !dust particles radii (m)
-            
-      reffrad(1:ngrid,1:nlayer) = 2.e-6 ! dust
-
-   end subroutine dust_reffrad
-!==================================================================
-
-
-!==================================================================
-   subroutine h2so4_reffrad(ngrid,nlayer,reffrad)
-!==================================================================
-!     Purpose
-!     -------
-!     Compute the effective radii of h2so4 particles
-!
-!     Authors
-!     -------
-!     Jeremy Leconte (2012)
-!
-!==================================================================
-      Implicit none
-
-      integer,intent(in) :: ngrid
-      integer,intent(in) :: nlayer
-
-      real, intent(out) :: reffrad(ngrid,nlayer)      !h2so4 particle radii (m)
-                
-      reffrad(1:ngrid,1:nlayer) = 1.e-6 ! h2so4
-
-   end subroutine h2so4_reffrad
-!==================================================================
 
 !==================================================================
Index: /trunk/LMDZ.TITAN/libf/phytitan/su_gases.F90
===================================================================
--- /trunk/LMDZ.TITAN/libf/phytitan/su_gases.F90	(revision 1646)
+++ /trunk/LMDZ.TITAN/libf/phytitan/su_gases.F90	(revision 1647)
@@ -73,33 +73,9 @@
            igas_H2=igas
            count=count+1
-        elseif (trim(gnom(igas)).eq."He_" .or. trim(gnom(igas)).eq."He") then
-           igas_He=igas
-           count=count+1
-        elseif (trim(gnom(igas)).eq."H2O") then
-           igas_H2O=igas
-           count=count+1
-        elseif (trim(gnom(igas)).eq."CO2") then
-           igas_CO2=igas
-           count=count+1
-        elseif (trim(gnom(igas)).eq."CO_" .or. trim(gnom(igas)).eq."CO") then
-           igas_CO=igas
-           count=count+1
         elseif (trim(gnom(igas)).eq."N2_" .or. trim(gnom(igas)).eq."N2") then
            igas_N2=igas
            count=count+1
-        elseif (trim(gnom(igas)).eq."O2_" .or. trim(gnom(igas)).eq."O2") then
-           igas_O2=igas
-           count=count+1
-        elseif (trim(gnom(igas)).eq."SO2") then
-           igas_SO2=igas
-           count=count+1
-        elseif (trim(gnom(igas)).eq."H2S") then
-           igas_H2S=igas
-           count=count+1
         elseif (trim(gnom(igas)).eq."CH4") then
            igas_CH4=igas
-           count=count+1
-        elseif (trim(gnom(igas)).eq."NH3") then
-           igas_NH3=igas
            count=count+1
         elseif (trim(gnom(igas)).eq."C2H6") then
Index: /trunk/LMDZ.TITAN/libf/phytitan/suaer_corrk.F90
===================================================================
--- /trunk/LMDZ.TITAN/libf/phytitan/suaer_corrk.F90	(revision 1646)
+++ /trunk/LMDZ.TITAN/libf/phytitan/suaer_corrk.F90	(revision 1647)
@@ -42,6 +42,9 @@
 !     MODIF R. Wordsworth (2009)
 !     - generalisation to arbitrary spectral bands 
-!
-!==================================================================
+!     
+!     WARNING : Titan adapt. (J. Vatant d'Ollone, 2017)
+!            - ONLY THE NO AEROSOL CASE FOR NOW SINCE WE COMPUTE THEM ANOTHER WAY !
+!            - This routine is just here to keep the code running without unplugging all (yet)                           
+!================================================================================================
 
 !     Optical properties (read in external ASCII files)
@@ -106,9 +109,6 @@
       endif
       do iaer=1,naerkind
-       if (iaer.eq.iaero_co2) then
+       if (iaer.eq.1) then ! JVO 2017 : Now iaer = 1 is always dummy co2 for noaero case, since we don't use aerosols
         forgetit=.true.
-          if (.not.noaero) then
-              print*, 'naerkind= co2', iaer
-          end if
 !     visible
         if(forgetit)then
@@ -130,42 +130,4 @@
 ! JB thinks this shouldn't matter too much, but it needs to be 
 ! fixed / decided for the final version.
-
-       if (iaer.eq.iaero_h2o) then
-        print*, 'naerkind= h2o', iaer
-
-!     visible
-         file_id(iaer,1) = 'optprop_icevis_n50.dat'
-         lamrefvis(iaer)=1.5E-6   ! 1.5um OMEGA/MEx
-!     infrared
-         file_id(iaer,2) = 'optprop_iceir_n50.dat'
-         lamrefir(iaer)=12.1E-6   ! 825cm-1 TES/MGS
-       endif
-
-       if (iaer.eq.iaero_dust) then
-        print*, 'naerkind= dust', iaer
-
-!     visible
-         file_id(iaer,1) = 'optprop_dustvis_n50.dat'
-         !lamrefvis(iaer)=1.5E-6   ! 1.5um OMEGA/MEx
-         lamrefvis(iaer)=0.67e-6
-!     infrared
-         file_id(iaer,2) = 'optprop_dustir_n50.dat'
-         !lamrefir(iaer)=12.1E-6   ! 825cm-1 TES/MGS
-         lamrefir(iaer)=9.3E-6
-       endif 
-
-       if (iaer.eq.iaero_h2so4) then
-         print*, 'naerkind= h2so4', iaer
-
-!     visible
-         file_id(iaer,1) = 'optprop_h2so4vis_n20.dat'
-         !lamrefir(iaer)=  doesn't exist?
-         lamrefvis(iaer)=1.5E-6   ! no idea, must find
-!     infrared
-         file_id(iaer,2) = 'optprop_h2so4ir_n20.dat'
-         !lamrefir(iaer)=12.1E-6   ! 825cm-1 TES/MGS
-         lamrefir(iaer)=9.3E-6 ! no idea, must find
-! added by LK
-       endif
 
        if (iaer.eq.iaero_back2lay) then
@@ -328,5 +290,5 @@
 
       jfile = jfile+1
-      IF ((idomain.NE.iaero_co2).OR.(iaer.NE.iaero_co2)) THEN
+      IF ((idomain.NE.1).OR.(iaer.NE.1)) THEN
          endwhile = .true.
       ENDIF
@@ -346,5 +308,5 @@
 
 !     1.5 If Francois' data, convert wvl to metres
-       if(iaer.eq.iaero_co2)then
+       if(iaer.eq.1)then
          if(forgetit)then
          !   print*,'please sort out forgetit for naerkind>1'
Index: /trunk/LMDZ.TITAN/libf/phytitan/sugas_corrk.F90
===================================================================
--- /trunk/LMDZ.TITAN/libf/phytitan/sugas_corrk.F90	(revision 1646)
+++ /trunk/LMDZ.TITAN/libf/phytitan/sugas_corrk.F90	(revision 1647)
@@ -29,6 +29,5 @@
       use gases_h
       use ioipsl_getin_p_mod, only: getin_p
-      use callkeys_mod, only: varactive,varfixed,graybody,callgasvis,&
-		continuum,H2Ocont_simple
+      use callkeys_mod, only: graybody,callgasvis, continuum
       implicit none
 
@@ -86,10 +85,5 @@
       endif 
 
-      if(ngas.eq.1 .and. (varactive.or.varfixed))then
-         print*,'You have varactive/fixed=.true. but the database [',  &
-                     corrkdir(1:LEN_TRIM(corrkdir)),           &
-                '] has no variable species, exiting.'
-         call abort
-      elseif(ngas.gt.5 .or. ngas.lt.1)then
+      if(ngas.gt.5 .or. ngas.lt.1)then
          print*,ngas,' species in database [',               &
                      corrkdir(1:LEN_TRIM(corrkdir)),           &
@@ -112,11 +106,4 @@
       read(111,*) wrefvar
       close(111)
-
-      if(L_REFVAR.gt.1 .and. (.not.varactive) .and. (.not.varfixed))then
-         print*,'You have varactive and varfixed=.false. and the database [', &
-                     corrkdir(1:LEN_TRIM(corrkdir)),           &
-                '] has a variable species.'
-         call abort
-      endif
 
       ! Check that gastype and gnom match
@@ -638,19 +625,6 @@
                   dummy = -9999
                   call interpolateN2H2(592.D+0,278.15D+0,200000.D+0,10000.D+0,testcont,.true.,dummy)
-               elseif (jgas .eq. igas_He) then
-                  dummy = -9999
-                  call interpolateH2He(500.D+0,250.D+0,200000.D+0,10000.D+0,testcont,.true.,dummy)
                endif
             enddo
-
-         elseif (igas .eq. igas_H2O) then
-
-            ! H2O is special 
-            if(H2Ocont_simple)then
-               call interpolateH2Ocont_PPC(990.D+0,296.D+0,683.2D+0*2,0.D+0,testcont,.true.)
-            else
-               dummy = -9999
-               call interpolateH2Ocont_CKD(990.D+0,296.D+0,683.2D+0*2,0.D+0,testcont,.true.,dummy)
-            endif
 
          endif
Index: /trunk/LMDZ.TITAN/libf/phytitan/surfdat_h.F90
===================================================================
--- /trunk/LMDZ.TITAN/libf/phytitan/surfdat_h.F90	(revision 1646)
+++ /trunk/LMDZ.TITAN/libf/phytitan/surfdat_h.F90	(revision 1647)
@@ -17,10 +17,4 @@
 !$OMP THREADPRIVATE(zmea,zstd,zsig,zgam,zthe)
 
-       real,allocatable,dimension(:) :: dryness  !"Dryness coefficient" for grnd water ice sublimation
-                                                 ! AS: previously in tracer.h. it is more logical here.
-
-       logical,allocatable,dimension(:) :: watercaptag !! was in watercap.h
-!$OMP THREADPRIVATE(dryness,watercaptag)
-
        end module surfdat_h
 
Index: /trunk/LMDZ.TITAN/libf/phytitan/surfini.F
===================================================================
--- /trunk/LMDZ.TITAN/libf/phytitan/surfini.F	(revision 1646)
+++ /trunk/LMDZ.TITAN/libf/phytitan/surfini.F	(revision 1647)
@@ -1,10 +1,7 @@
-      SUBROUTINE surfini(ngrid,nq,qsurf,albedo,albedo_bareground,
-     &                   albedo_snow_SPECTV,albedo_co2_ice_SPECTV)
+      SUBROUTINE surfini(ngrid,nq,qsurf,albedo,albedo_bareground)
 
       USE surfdat_h, only: albedodat
-      USE tracer_h, only: igcm_co2_ice
       use planetwide_mod, only: planetwide_maxval, planetwide_minval
       use radinc_h, only : L_NSPECTV
-      use callkeys_mod, only : albedosnow, albedoco2ice
 
       IMPLICIT NONE
@@ -26,6 +23,4 @@
       REAL,INTENT(OUT) :: albedo(ngrid,L_NSPECTV)
       REAL,INTENT(OUT) :: albedo_bareground(ngrid)
-      REAL,INTENT(OUT) :: albedo_snow_SPECTV(L_NSPECTV)
-      REAL,INTENT(OUT) :: albedo_co2_ice_SPECTV(L_NSPECTV)
       REAL,INTENT(IN) :: qsurf(ngrid,nq) ! tracer on surface (kg/m2)
 
@@ -35,12 +30,5 @@
 c=======================================================================
 
-      ! Step 1 : Initialisation of the Spectral Albedos.
-      DO nw=1,L_NSPECTV
-         albedo_snow_SPECTV(nw)=albedosnow
-         albedo_co2_ice_SPECTV(nw)=albedoco2ice
-      ENDDO
-
-
-      ! Step 2 : We get the bare ground albedo from the start files.
+      ! We get the bare ground albedo from the start files.
       DO ig=1,ngrid
          albedo_bareground(ig)=albedodat(ig)
@@ -54,18 +42,5 @@
       write(*,*) 'surfini: maximum bare ground albedo',max_albedo
 
-
-      ! Step 3 : We modify the albedo considering some CO2 at the surface. We dont take into account water ice (this is made in hydrol after the first timestep) ...
-      if (igcm_co2_ice.ne.0) then
-         DO ig=1,ngrid
-            IF (qsurf(ig,igcm_co2_ice) .GT. 1.) THEN ! This was changed by MT2015. Condition for ~1mm of CO2 ice deposit.
-	       DO nw=1,L_NSPECTV
-	          albedo(ig,nw)=albedo_co2_ice_SPECTV(nw)
-	       ENDDO
-            END IF   
-         ENDDO   
-      else
-         write(*,*) "surfini: No CO2 ice tracer on surface  ..."
-         write(*,*) "         and therefore no albedo change."
-      endif     
+    
       call planetwide_minval(albedo,min_albedo)
       call planetwide_maxval(albedo,max_albedo)
Index: /trunk/LMDZ.TITAN/libf/phytitan/tracer_h.F90
===================================================================
--- /trunk/LMDZ.TITAN/libf/phytitan/tracer_h.F90	(revision 1646)
+++ /trunk/LMDZ.TITAN/libf/phytitan/tracer_h.F90	(revision 1647)
@@ -20,9 +20,7 @@
       real r3n_q     ! used to compute r0 from number and mass mixing ratio
       real rho_dust     ! Mars dust density (kg.m-3)
-      real rho_ice     ! Water ice density (kg.m-3)
-      real rho_co2     ! CO2 ice density (kg.m-3)
       real ref_r0        ! for computing reff=ref_r0*r0 (in log.n. distribution)
 !$OMP THREADPRIVATE(noms,mmol,radius,rho_q,qext,alpha_lift,alpha_devil,qextrhor, &
-	!$OMP varian,r3n_q,rho_dust,rho_ice,rho_co2,ref_r0)
+	!$OMP varian,r3n_q,rho_dust,rho_ice,ref_r0)
 
 ! tracer indexes: these are initialized in initracer and should be 0 if the
@@ -33,9 +31,5 @@
       integer :: igcm_dust_mass   ! dust mass mixing ratio (for transported dust)
       integer :: igcm_dust_number ! dust number mixing ratio (transported dust)
-      ! water
-      integer :: igcm_h2o_vap ! water vapour
-      integer :: igcm_h2o_ice ! water ice
       ! chemistry:
-      integer :: igcm_co2
       integer :: igcm_co
       integer :: igcm_o
@@ -52,8 +46,7 @@
       ! other tracers
       integer :: igcm_ar_n2 ! for simulations using co2 +neutral gaz
-      integer :: igcm_co2_ice ! CO2 ice 
-!$OMP THREADPRIVATE(igcm_dustbin,igcm_dust_mass,igcm_dust_number,igcm_h2o_vap,igcm_h2o_ice, &
-	!$OMP igcm_co2,igcm_co,igcm_o,igcm_o1d,igcm_o2,igcm_o3,igcm_h,igcm_h2,igcm_oh,	    &
-	!$OMP igcm_ho2,igcm_h2o2,igcm_n2,igcm_ar,igcm_ar_n2,igcm_co2_ice)
+!$OMP THREADPRIVATE(igcm_dustbin,igcm_dust_mass,igcm_dust_number, &
+	!$OMP igcm_co,igcm_o,igcm_o1d,igcm_o2,igcm_o3,igcm_h,igcm_h2,igcm_oh,	    &
+	!$OMP igcm_ho2,igcm_h2o2,igcm_n2,igcm_ar,igcm_ar_n2)
 
        end module tracer_h
